
* {
    max-width: 100vw;
}

body {
    background-color: var(--bg-color3);
}

.kontakt-header h1 {
    color: var(--bg-color3);
    font-size: 4em;
    text-align: center;
    align-self: end;
}

.kontakt-header {
    display: grid;
    grid-template-columns: 1fr 5fr;
    column-gap: 10px;
}

h1 {
    grid-column: 2 / 3;
    width: 684px;
}

.left-cont {
    background-color: var(--bg-color4);
    display: grid;
    justify-items: center;
    grid-template-rows: 1fr 4fr;
}

textarea {
    resize: none;
}

.pop-up {
    background-color: var(--bg-color4);
    background-size: cover;
    font-size: calc(0.9em + 0.7vw);
    text-align: center;
    grid-column: 1 / 3;
    width: 78%;
    height: 100%;
    position: fixed;
    color: var(--bg-color3);
}

.pop-up p {
    margin-top: 20vh;
}

.pop-up a {
    width: 220px;
    position: relative;
    display: block;
    margin-inline: auto;
    padding-block: 12px;
    border: 2px solid var(--bg-color3);
    color: var(--bg-color3);
    border-radius: 30px;
}

 .pop-up a:hover {
    text-decoration: none;
    background-color: var(--bg-color3);
    color: var(--bg-color4);
}

/*****CONTACT FORM******/
.contact-form {
    text-align: center;
    display: grid;
    grid-template-columns: 1fr 5fr;  
    grid-template-rows: 45px 45px 300px 60px 60px;
    row-gap: 45px;
    column-gap: 10px;
    overflow: hidden;
}

input:focus {
    outline-color: var(--bg-color3);
    outline: none;
}

.contact-form input {
    border: 1px solid var(--bg-color4); 
    font-size: 24px;   
    background-color: var(--bg-color3);
    color: var(--bg-color4); 
}

.contact-form p {
    font-weight: bold;
    font-size: 20px;
    color: var(--bg-color3);
    text-align: left;
    margin-top: 11px;
}

.contact-form textarea {
    border: 1px solid var(--bg-color4);
    font-size: 24px;    
    line-height: 1.4;
    background-color: var(--bg-color3);
    color: var(--bg-color4);  
    max-width: 678px;
    min-width: 678px;
    max-height: 300px;
}

textarea:focus {
    outline-color: var(--bg-color3);
    outline: none;
}

input[type="submit"] {
    background-color: var(--bg-color4);
    color: var(--bg-color3);
    border: 2px solid var(--bg-color3);
}

input[type="submit"]:hover {
    background-color: var(--bg-color3);
    color: var(--bg-color4);
    cursor: pointer;
}

.input-btn {
    grid-column: 2 / 3;
    font-family: 'Bookman Old Style';
    font-weight: normal;
    width: 220px;
    justify-self: center;
    border-radius: 30px;
}


/********* MEDIA QUERIES *******/

@media (max-width: 1200px){
    body {
        background-color: var(--bg-color4);
        overflow: unset;
    }

    .kontakt-header {
        grid-template-columns: 1fr;
    }

    .contact-form {
        display: unset;
        max-width: 678px;
        padding-bottom: 50px;
    }  

    .contact-form textarea, .contact-form input, .contact-form p {
        max-width: 678px;
        min-width: 678px;
        margin: auto;
    }

    .contact-form textarea {
        margin-bottom: 30px;
    }

    .contact-form p {
        padding-block: 10px;
    }

    .input-line {
        height: 40px;
    }

    .input-btn {
        padding-block: 15px;
    }

    #form-btn {
        width: 220px !important;
        min-width: unset;
    }

    .pop-up {
        width: 100%;
    }
}

@media (max-width: 900px){
    main {
        display: unset;
    }

    ul {
        position: unset;
    }

    .kontakt-header h1 {
        padding-top: 7px;
        font-size: calc(1em + 5.33vw);
    }

    .left-square, header, article, aside {
        grid-column: unset;
        grid-row: unset;
    }
   
    aside {
        position: sticky;
        top: 0;
    }

    .contact-form {
        display: unset;
        max-width: 80vw;
        padding-bottom: 50px;
    }

    .contact-form textarea, .contact-form input, .contact-form p {
        max-width: 80vw;
        min-width: 80vw;
        margin: auto;
    }

    #form-btn {
        width: 220px !important;
        min-width: unset;
    }

    .contact-form textarea {
        margin-bottom: 30px;
    }

    .contact-form p {
        padding-block: 5px;
    }

    .input-btn {
        padding-block: 10px;
        display: block;
    }

    .left-cont {
        display: grid;
        justify-items: center;
        grid-template-rows: unset;
    }

    .kontakt-header {
        display: unset;
    }
    
    h1 {
        width: unset;
    }
}

@media (max-width: 360px){
    .contact-form p {
        font-size: 5vw;
    }

    /*
    .contact-form textarea, .contact-form input, .contact-form p, .contact-form {
        max-width: 250px;
        min-width: 250px;

    }
*/
}

@media (max-width: 200px){
    .contact-form input {
        font-size: 16px;
    }
}  



    
